<?xml version="1.0" encoding="UTF-8"?>
<diagram author="Yentl Van Tendeloo" name="MvK Server">
    <description>
        Modelverse Kernel server. Server for the MvI, client of the MvS.
    </description>
    <top>
        import sccd.runtime.accurate_time as accurate_time
        import time
        import os
        import urllib

        try:
            from urllib.parse import unquote_plus as unquote_plus
        except Exception:
            from urllib import unquote_plus as unquote_plus

        import sys
        import json

        import sys
        from collections import defaultdict
        sys.path.append("../kernel/")
        sys.path.append("../state/")
        from modelverse_kernel.primitives import SleepKernel
        from modelverse_kernel.main import ModelverseKernel
        from modelverse_state.main import ModelverseState
        #from modelverse_state.rdf import ModelverseState
    </top>

    <inport name="socket_in"/>
    <outport name="socket_out"/>

    <class src="classes/mvkcontroller.xml" default="true"/>
    <class src="classes/server.xml"/>
    <class src="classes/socket.xml"/>
    <class src="classes/task.xml"/>
    <class src="classes/service.xml"/>
</diagram>
